commit:     321416691df089d4bdd6562a636013cb6eed6c32
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun May 25 15:03:38 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun May 25 15:09:17 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=32141669

dev-python/twisted: Bump to 25.5.0_rc1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/twisted/Manifest                  |   1 +
 dev-python/twisted/metadata.xml              |   1 +
 dev-python/twisted/twisted-25.5.0_rc1.ebuild | 162 +++++++++++++++++++++++++++
 3 files changed, 164 insertions(+)

diff --git a/dev-python/twisted/Manifest b/dev-python/twisted/Manifest
index 9385862cabcd..623b687189b4 100644
--- a/dev-python/twisted/Manifest
+++ b/dev-python/twisted/Manifest
@@ -1,3 +1,4 @@
 DIST twisted-24.10.0.tar.gz 3525999 BLAKE2B 
4d274a4b5989597c2789e05774bad3595ac5284f5da25fb488d46b87a4bb0e0ab311fcab228eaf070530451a28098bbefc326f6d4806378b2fe076adf5b07199
 SHA512 
dad7c1301c3b31f096db8c4796e064e864c2c28107c46c202b4f4b123c99a0e69f9b43afbf582997dd2c15a08e95b41213e4bc67ea1fe9fd8137c76656a20162
 DIST twisted-24.11.0.tar.gz 3526722 BLAKE2B 
cd874da038e3cbc369283de5d598b99680e3122ed9bdd0bbb8e541793b739b88281708c618c8f0cf9b4bf13684188b0b893ec5f744ae510c1af446822652a866
 SHA512 
cfd17cad9573b47b43761625ab529a1a0b27ce75545d9bc277622a7ce138b5dccf554d3c8764de1baafc07192e1172e50f4c6d19dc65590b5318a603a808efb9
+DIST twisted-25.5.0rc1.tar.gz 3546085 BLAKE2B 
adf18b8755d431ea47fa07ec6cbf32e6400ae928e3246782035785856b843e0e31bca448441ad2b280cbc874708ae521c39d0194b32fd6aa45ce3ce5fe977c64
 SHA512 
e67e1a1c19a49cfcd9179e2b981539dac87e19b46b630de41542fc3d34efa508ee624b6640b5a3186450251ee1a610dced5ab093b025607c0e61bfa843eb4b68
 DIST twisted-regen-cache.gz 911 BLAKE2B 
ffd3fcda6c67ffe6fd3ef581c8d507548396b66ed0708e9a5c790095e579c0d5f0f71596acf05712989da2ddef2b8d437eca973bc4d80ef8a9fa852915f38305
 SHA512 
95a9b931c73017d16d1b5e6b41345dddffe62b6af1a8e93b5e40d06d3d15be17b0dd0181c767ffeeb791534d463764ef9e066fa6c2ee2ac4b53c86d1da8fce03

diff --git a/dev-python/twisted/metadata.xml b/dev-python/twisted/metadata.xml
index 5fb905aee3f7..942b790abf87 100644
--- a/dev-python/twisted/metadata.xml
+++ b/dev-python/twisted/metadata.xml
@@ -12,6 +12,7 @@
        <use>
                <flag name="conch">include Twisted SSHv2 implementation</flag>
                <flag name="serial">include serial port support</flag>
+               <flag name="websockets">include websocket support</flag>
        </use>
        <longdescription>Twisted is an event-based framework for internet
                applications, supporting Python 2.7 and Python 3.3+. It includes

diff --git a/dev-python/twisted/twisted-25.5.0_rc1.ebuild 
b/dev-python/twisted/twisted-25.5.0_rc1.ebuild
new file mode 100644
index 000000000000..cb4ee1336da7
--- /dev/null
+++ b/dev-python/twisted/twisted-25.5.0_rc1.ebuild
@@ -0,0 +1,162 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_TESTED=( python3_{11..14} pypy3_11 )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 multiprocessing pypi virtualx
+
+DESCRIPTION="An asynchronous networking framework written in Python"
+HOMEPAGE="
+       https://twisted.org/
+       https://github.com/twisted/twisted/
+       https://pypi.org/project/Twisted/
+"
+SRC_URI+="
+       https://dev.gentoo.org/~mgorny/dist/twisted-regen-cache.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="conch http2 serial ssl test websockets"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+       >=dev-python/automat-24.8.0[${PYTHON_USEDEP}]
+       >=dev-python/constantly-15.1[${PYTHON_USEDEP}]
+       >=dev-python/hyperlink-17.1.1[${PYTHON_USEDEP}]
+       >=dev-python/incremental-22.10.0[${PYTHON_USEDEP}]
+       >=dev-python/typing-extensions-4.2.0[${PYTHON_USEDEP}]
+       >=dev-python/zope-interface-5[${PYTHON_USEDEP}]
+       conch? (
+               >=dev-python/appdirs-1.4.0[${PYTHON_USEDEP}]
+               >=dev-python/bcrypt-3.0.0[${PYTHON_USEDEP}]
+               >=dev-python/cryptography-3.3[${PYTHON_USEDEP}]
+               dev-python/pyasn1[${PYTHON_USEDEP}]
+       )
+       http2? (
+               >=dev-python/h2-3.2[${PYTHON_USEDEP}]
+               >=dev-python/priority-1.1.0[${PYTHON_USEDEP}]
+       )
+       serial? (
+               >=dev-python/pyserial-3.0[${PYTHON_USEDEP}]
+       )
+       ssl? (
+               >=dev-python/pyopenssl-21.0.0[${PYTHON_USEDEP}]
+               >=dev-python/service-identity-18.1.0[${PYTHON_USEDEP}]
+               >=dev-python/idna-2.4[${PYTHON_USEDEP}]
+       )
+       websockets? (
+               dev-python/wsproto[${PYTHON_USEDEP}]
+       )
+"
+IDEPEND="
+       >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+       >=dev-python/constantly-15.1[${PYTHON_USEDEP}]
+       >=dev-python/zope-interface-5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       >=dev-python/hatch-fancy-pypi-readme-22.5.0[${PYTHON_USEDEP}]
+       >=dev-python/incremental-22.10.0[${PYTHON_USEDEP}]
+       test? (
+               ${RDEPEND}
+               $(python_gen_cond_dep '
+                       >=dev-python/appdirs-1.4.0[${PYTHON_USEDEP}]
+                       >=dev-python/bcrypt-3.0.0[${PYTHON_USEDEP}]
+                       >=dev-python/constantly-15.1.0[${PYTHON_USEDEP}]
+                       
<dev-python/cython-test-exception-raiser-2[${PYTHON_USEDEP}]
+                       
>=dev-python/cython-test-exception-raiser-1.0.2[${PYTHON_USEDEP}]
+                       >=dev-python/idna-2.4[${PYTHON_USEDEP}]
+                       >=dev-python/httpx-0.27[${PYTHON_USEDEP}]
+                       >=dev-python/hypothesis-6.56[${PYTHON_USEDEP}]
+                       dev-python/pyasn1[${PYTHON_USEDEP}]
+                       >=dev-python/pyhamcrest-2[${PYTHON_USEDEP}]
+                       >=dev-python/pyserial-3.0[${PYTHON_USEDEP}]
+                       dev-python/wsproto[${PYTHON_USEDEP}]
+                       virtual/openssh
+                       ssl? (
+                               >=dev-python/pyopenssl-21.0.0[${PYTHON_USEDEP}]
+                               
>=dev-python/service-identity-18.1.0[${PYTHON_USEDEP}]
+                       )
+               ' "${PYTHON_TESTED[@]}")
+       )
+"
+
+python_prepare_all() {
+       # upstream test for making releases; not very useful and requires
+       # sphinx (including on py2)
+       rm src/twisted/python/test/test_release.py || die
+
+       # multicast tests fail within network-sandbox
+       sed -e 's:test_joinLeave:_&:' \
+               -e 's:test_loopback:_&:' \
+               -e 's:test_multiListen:_&:' \
+               -e 's:test_multicast:_&:' \
+               -i src/twisted/test/test_udp.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+src_test() {
+       # the test suite handles missing file & failing ioctl()s gracefully
+       # but not permission errors from sandbox
+       addwrite /dev/net/tun
+       virtx distutils-r1_src_test
+}
+
+python_test() {
+       if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+               einfo "Skipping tests on ${EPYTHON} (xfail)"
+               return
+       fi
+
+       # breaks some tests by overriding empty environment
+       local -x SANDBOX_ON=0
+       # for py3.13, see
+       # https://github.com/twisted/twisted/pull/12092#issuecomment-2194326096
+       local -x LINES=25 COLUMNS=80
+       "${EPYTHON}" -m twisted.trial  -j "$(makeopts_jobs)" twisted ||
+               die "Tests failed with ${EPYTHON}"
+}
+
+python_install() {
+       distutils-r1_python_install
+
+       # own the dropin.cache so we don't leave orphans
+       > "${D}$(python_get_sitedir)"/twisted/plugins/dropin.cache || die
+
+       python_doscript "${WORKDIR}"/twisted-regen-cache
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       newconfd "${FILESDIR}/twistd.conf" twistd
+       newinitd "${FILESDIR}/twistd.init" twistd
+}
+
+python_postinst() {
+       twisted-regen-cache || die
+}
+
+pkg_postinst() {
+       if [[ -z ${ROOT} ]]; then
+               python_foreach_impl python_postinst
+       fi
+}
+
+python_postrm() {
+       rm -f "${ROOT}$(python_get_sitedir)/twisted/plugins/dropin.cache" || die
+}
+
+pkg_postrm() {
+       # if we're removing the last version, remove the cache file
+       if [[ ! ${REPLACING_VERSIONS} ]]; then
+               python_foreach_impl python_postrm
+       fi
+}

Reply via email to